diff --git a/src/test/regress/expected/join1.out b/src/test/regress/expected/join1.out
new file mode 100644
index 0000000000..e69de29bb2
diff --git a/src/test/regress/expected/update1.out b/src/test/regress/expected/update1.out
new file mode 100644
index 0000000000..e69de29bb2
diff --git a/src/test/regress/sql/join1.sql b/src/test/regress/sql/join1.sql
new file mode 100644
index 0000000000..69efb73b2f
--- /dev/null
+++ b/src/test/regress/sql/join1.sql
@@ -0,0 +1,3 @@
+SELECT count(*) FROM
+  tenk1 a JOIN tenk1 b ON a.unique1 = b.unique2
+  LEFT JOIN tenk1 c ON c.thousand = a.thousand;
diff --git a/src/test/regress/sql/update1.sql b/src/test/regress/sql/update1.sql
new file mode 100644
index 0000000000..d9b41b0375
--- /dev/null
+++ b/src/test/regress/sql/update1.sql
@@ -0,0 +1,16 @@
+DROP TABLE IF EXISTS range_parted CASCADE;
+DROP FUNCTION IF EXISTS trigfunc CASCADE;
+
+CREATE TABLE range_parted (b bigint) PARTITION BY RANGE (b);
+CREATE TABLE part_1_10 PARTITION OF range_parted FOR VALUES FROM (1) TO (10);
+
+CREATE FUNCTION trigfunc() RETURNS TRIGGER LANGUAGE plpgsql AS 'begin return null; end;';
+
+CREATE TRIGGER trigger1  AFTER INSERT ON range_parted FOR EACH STATEMENT EXECUTE PROCEDURE trigfunc();
+
+CREATE TRIGGER trigger2  AFTER INSERT ON range_parted FOR EACH STATEMENT EXECUTE PROCEDURE trigfunc();
+DROP TRIGGER trigger2 ON range_parted;
+
+INSERT INTO range_parted VALUES (0);
+SELECT pg_sleep(0.05);
+CREATE TABLE part_def PARTITION OF range_parted DEFAULT;
diff --git a/src/test/regress/test_schedule b/src/test/regress/test_schedule
new file mode 100644
index 0000000000..04c3b29c59
--- /dev/null
+++ b/src/test/regress/test_schedule
@@ -0,0 +1 @@
+test: join1 update1
